<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="plugin">
    <html>
      <HEAD>
			<TITLE>Isac Plug-in: <xsl:value-of select="@name"/></TITLE>
			<xsl:element name="META">
				<xsl:attribute name="NAME">keywords</xsl:attribute>
				<xsl:attribute name="CONTENT">
					<xsl:value-of select="object/@class"/>
				</xsl:attribute>
			</xsl:element>
			<LINK REL ="stylesheet" TYPE="text/css" HREF="../styles.css" TITLE="Style" />
		  </HEAD>
		  <BODY>
		    <H1>Isac Plug-in: <xsl:value-of select="@name"/></H1>
			<P CLASS="summary">
				<xsl:value-of select="object/help" />
			</P>
			<P CLASS="indexInPlugin">
     		<a href="#Conditions" title="Conditions">Conditions</a> - 
     		<a href="#Controls" title="Controls">Controls</a> - 
     		<a href="#Samples" title="Samples">Samples</a> - 
     		<a href="#Timers" title="Timers">Timers</a>
         </P>
			<xsl:choose>
				<xsl:when test="object/params/param">
					<TABLE CLASS="parameter">
						<TR CLASS="TableSubHeadingColor">
							<TH>Plug-in parameters</TH>
						</TR>
						<xsl:for-each select="object/params/param">
						<TR>
							<TD><xsl:value-of select="@name" /></TD>
						</TR>
						</xsl:for-each>
					</TABLE>
				</xsl:when>
				<xsl:otherwise>
					<DIV CLASS="noParam">No global parameter for this ISAC plugin</DIV>
				</xsl:otherwise>
			</xsl:choose>
  <H2 CLASS="titleBloc">Conditions</H2>
  <xsl:choose>
    <xsl:when test="test">
      <xsl:for-each select="test">
		  <SPAN id="Conditions" CLASS="controlName"><xsl:value-of select="@name" /></SPAN>
		  <P CLASS="summary"><xsl:value-of select="help" /></P>
			<xsl:choose>
				<xsl:when test="params/param">
					<TABLE CLASS="parameter">
						<TR CLASS="TableSubHeadingColor">
							<TH>Parameters</TH>
						</TR>
						<xsl:for-each select="params/param">
						<TR>
							<TD><xsl:value-of select="@name" /></TD>
						</TR>
						</xsl:for-each>
					</TABLE>
				</xsl:when>
				<xsl:otherwise>
					<DIV CLASS="noParam">No parameter.</DIV>
				</xsl:otherwise>
			</xsl:choose>
		  <div class="separate"></div>
		</xsl:for-each>
	  </xsl:when>
	  <xsl:otherwise>
      <DIV CLASS="noParam">No Conditions for this ISAC plugin</DIV>
    </xsl:otherwise>
  </xsl:choose>
  <H2 CLASS="titleBloc">Controls</H2>
  <xsl:choose>
    <xsl:when test="control">
      <xsl:for-each select="control">
		  <SPAN id="Controls" CLASS="controlName"><xsl:value-of select="@name" /></SPAN>
		  <P CLASS="summary"><xsl:value-of select="help" /></P>
			<xsl:choose>
				<xsl:when test="params/param">
					<TABLE CLASS="parameter">
						<TR CLASS="TableSubHeadingColor">
							<TH>Parameters</TH>
						</TR>
						<xsl:for-each select="params/param">
						<TR>
							<TD><xsl:value-of select="@name" /></TD>
						</TR>
						</xsl:for-each>
					</TABLE>
				</xsl:when>
				<xsl:otherwise>
					<DIV CLASS="noParam">No parameter.</DIV>
				</xsl:otherwise>
			</xsl:choose>
		  <div class="separate"></div>
		</xsl:for-each>
	  </xsl:when>
	  <xsl:otherwise>
      <DIV CLASS="noParam">No Controls for this ISAC plugin</DIV>
    </xsl:otherwise>
  </xsl:choose>
  <H2 CLASS="titleBloc">Samples</H2>
  <xsl:choose>
    <xsl:when test="sample">
      <xsl:for-each select="sample">
		  <SPAN id="Samples" CLASS="controlName"><xsl:value-of select="@name" /></SPAN>
		  <P CLASS="summary"><xsl:value-of select="help" /></P>
			<xsl:choose>
				<xsl:when test="params/param">
					<TABLE CLASS="parameter">
						<TR CLASS="TableSubHeadingColor">
							<TH>Parameters</TH>
						</TR>
						<xsl:for-each select="params/param">
						<TR>
							<TD><xsl:value-of select="@name" /></TD>
						</TR>
						</xsl:for-each>
					</TABLE>
				</xsl:when>
				<xsl:otherwise>
					<DIV CLASS="noParam">No parameter.</DIV>
				</xsl:otherwise>
			</xsl:choose>
		  <div class="separate"></div>
		</xsl:for-each>
	  </xsl:when>
	  <xsl:otherwise>
      <DIV CLASS="noParam">No Samples for this ISAC plugin</DIV>
    </xsl:otherwise>
  </xsl:choose>
  <H2 CLASS="titleBloc">Timers</H2>
  <xsl:choose>
    <xsl:when test="timer">
      <xsl:for-each select="timer">
		  <SPAN id="Timers" CLASS="controlName"><xsl:value-of select="@name" /></SPAN>
		  <P CLASS="summary"><xsl:value-of select="help" /></P>
			<xsl:choose>
				<xsl:when test="params/param">
					<TABLE CLASS="parameter">
						<TR CLASS="TableSubHeadingColor">
							<TH>Parameters</TH>
						</TR>
						<xsl:for-each select="params/param">
						<TR>
							<TD><xsl:value-of select="@name" /></TD>
						</TR>
						</xsl:for-each>
					</TABLE>
				</xsl:when>
				<xsl:otherwise>
					<DIV CLASS="noParam">No parameter.</DIV>
				</xsl:otherwise>
			</xsl:choose>
		  <div class="separate"></div>
		</xsl:for-each>
	  </xsl:when>
	  <xsl:otherwise>
      <DIV CLASS="noParam">No Timers for this ISAC plugin</DIV>
    </xsl:otherwise>
  </xsl:choose>
</BODY>
</html>
</xsl:template>
</xsl:stylesheet>
